- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
pdftron::PDF::Struct::AttrObj Class Reference

`#include <AttrObj.h>`

## Public Member Functions
| AttrObj (SDF::Obj dict=SDF::Obj(0))
| AttrObj (const AttrObj &a)
AttrObj & | operator= (const AttrObj &a)
const char * | GetOwner () const
SDF::Obj | GetSDFObj () const

## Detailed Description

An application or plug-in extension that processes logical structure can attach additional information, called attributes, to any structure element. The attribute information is held in one or more attribute objects associated with the structure element. An attribute object is a dictionary or stream that includes an entry identifying the application or plug-in that owns the attribute information. Other entries represent the attributes: the keys are attribute names, and values are the corresponding attribute values.

Definition at line 24 of file AttrObj.h.

## Constructor & Destructor Documentation

pdftron::PDF::Struct::AttrObj::AttrObj | ( | SDF::Obj | dict = `SDF::Obj(0)` | ) |

Initialize a AttrObj using an existing low-level Cos/SDF object.

Parameters

  dict | - a low-level (SDF/Cos) dictionary representing the attribute object.

Note
  This constructor does not copy any data, but is instead the logical equivalent of a type cast.

pdftron::PDF::Struct::AttrObj::AttrObj | ( | const AttrObj & | a | ) |

## Member Function Documentation

const char* pdftron::PDF::Struct::AttrObj::GetOwner | ( |  | ) | const

Returns
  The name of the application or plug-in extension owning the attribute data.

SDF::Obj pdftron::PDF::Struct::AttrObj::GetSDFObj | ( |  | ) | const

Returns
  Pointer to the underlying SDF/Cos object.

AttrObj& pdftron::PDF::Struct::AttrObj::operator= | ( | const AttrObj & | a | ) |

The documentation for this class was generated from the following file:

- PDF/Struct/AttrObj.h